# Enum Class ChunkExtension.State

java.lang.Object
java.lang.Enum<ChunkExtension.State>
org.apache.tomcat.util.http.parser.ChunkExtension.State

All Implemented Interfaces:
  `Serializable, Comparable<ChunkExtension.State>, Constable`

Enclosing class:
  `ChunkExtension`

public static enum ChunkExtension.State extends Enum<ChunkExtension.State>
Parsing states for chunk extension.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CR`
  At the carriage return.
  `EQUALS`
  At the equals sign between name and value.
  `NAME`
  Reading the extension name.
  `POST_NAME`
  State after the extension name.
  `POST_VALUE`
  State after the extension value.
  `PRE_NAME`
  State before the extension name.
  `QUOTED_VALUE`
  Reading a quoted extension value.
  `VALUE`
  Reading the extension value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChunkExtension.State`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChunkExtension.State[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PRE_NAME

    public static final ChunkExtension.State PRE_NAME
    State before the extension name.

  - ### NAME

    public static final ChunkExtension.State NAME
    Reading the extension name.

  - ### POST_NAME

    public static final ChunkExtension.State POST_NAME
    State after the extension name.

  - ### EQUALS

    public static final ChunkExtension.State EQUALS
    At the equals sign between name and value.

  - ### VALUE

    public static final ChunkExtension.State VALUE
    Reading the extension value.

  - ### QUOTED_VALUE

    public static final ChunkExtension.State QUOTED_VALUE
    Reading a quoted extension value.

  - ### POST_VALUE

    public static final ChunkExtension.State POST_VALUE
    State after the extension value.

  - ### CR

    public static final ChunkExtension.State CR
    At the carriage return.

- ## Method Details

  - ### values

    public static ChunkExtension.State[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChunkExtension.State valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null